Bug 26570 - [r6xx DRI] KMS enabled: GLSL white washing corruption (seen in Second Life)
Summary: [r6xx DRI] KMS enabled: GLSL white washing corruption (seen in Second Life)
Status: RESOLVED INVALID
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R600 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: low normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-14 20:28 UTC by Shawn Starr
Modified: 2010-12-04 22:37 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
GLSL corruption (481.78 KB, image/jpeg)
2010-02-14 20:28 UTC, Shawn Starr
Details
GLSL corruption - more examples (357.07 KB, image/jpeg)
2010-02-14 20:29 UTC, Shawn Starr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Starr 2010-02-14 20:28:12 UTC
I enabled GLSL in Second Life and noticed some corruption with reflections of lighting (see attached jpg images)

When enabling GLSL initially, there is a delay compiling the fragment and shader programs (the game screen goes completely white) then slowly begins to execute the programs.
Comment 1 Shawn Starr 2010-02-14 20:28:43 UTC
Created attachment 33301 [details]
GLSL corruption
Comment 2 Shawn Starr 2010-02-14 20:29:43 UTC
Created attachment 33302 [details]
GLSL corruption - more examples
Comment 3 Michel Dänzer 2010-02-15 04:12:11 UTC
Fixed product, please fix up the component if necessary.
Comment 4 Shawn Starr 2010-03-04 19:48:04 UTC
This seems to be fixed, I am not seeing this corruption now so will close it.
Comment 5 Shawn Starr 2010-03-05 21:27:27 UTC
Reopen, i dont have a consistant setup with drm changes happening.. I will close it once I can double confirm things.
Comment 6 Shawn Starr 2010-04-29 20:05:07 UTC
Still happening, its not compiling the GLSL shader programs. If it is it seems to take a very, very long time. It shows pretty much all white in game.
Comment 7 Shawn Starr 2010-04-29 20:05:33 UTC
2.6.34-rc5 + airlied drm branches, libdrm git master, mesa git master, ati DDX git master
Comment 8 Shawn Starr 2010-12-04 22:37:21 UTC
Close it, wait for Gallium r600g driver.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.